<?xml version="1.0" encoding="UTF-8"?>
<?import javafx.scene.text.*?>
<?import java.lang.*?>
<?import java.util.*?>
<?import javafx.scene.*?>
<?import javafx.scene.control.*?>
<?import javafx.scene.layout.*?>
<?import javafx.scene.text.Text?>

<AnchorPane id="AnchorPane" stylesheets="@table_theme.css" prefHeight="330.0" prefWidth="600.0" xmlns="http://javafx.com/javafx" xmlns:fx="http://javafx.com/fxml" fx:controller="view.tables.controllers.ReservationsTableController">
   <children>
      <VBox layoutX="26.0" layoutY="19.0" prefHeight="281.0" prefWidth="542.0" spacing="10.0">
         <children>
            <TableView fx:id="tableView" prefHeight="250.0" prefWidth="150.0">
              <columns>
                    <TableColumn fx:id="descriptionColumn" onEditStart="#handleEdit" prefWidth="150.0" text="Opis" />
                    <TableColumn fx:id="teacherColumn" onEditStart="#handleEdit" prefWidth="150.0" text="Profesor" />
                    <TableColumn fx:id="classroomColumn" onEditStart="#handleEdit" prefWidth="150.0" text="Ucionica" />
                    <TableColumn fx:id="dateColumn" onEditStart="#handleEdit"  prefWidth="150.0" text="Datum" />
                    <TableColumn fx:id="startHourColumn" onEditStart="#handleEdit" prefWidth="150.0" text="Sat" />
                    <TableColumn fx:id="durationColumn" onEditStart="#handleEdit"  prefWidth="150.0" text="Trajanje" />
                </columns>
            </TableView>
             <Label text="*Kliknite dva puta na polje u tabeli za uredjivanje" styleClass="labela">
               <font>
                  <Font name="System Bold Italic" size="10.0" />
               </font>
            </Label>
            <HBox prefHeight="100.0" prefWidth="200.0" spacing="10.0">
               <children>
                  <Button fx:id="btnAddItem" mnemonicParsing="false"  onAction="#handleBtnAddItem" prefWidth="175.0" text="Dodaj rezervaciju" />
                  <Button fx:id="btnDeleteItem" mnemonicParsing="false" onAction="#handleBtnDeleteItem" prefWidth="175.0" text="Izbrisi rezervaciju" />
               </children>
            </HBox>
         </children>
      </VBox>
           
   </children>
</AnchorPane>